## visad
Class DisplayRealType

    java.lang.Object
      visad.MathType
          visad.ScalarType
              visad.RealType
                  visad.DisplayRealType

All Implemented Interfaces:
  Comparable, Serializable

public class DisplayRealType
extends RealType

DisplayRealType is the class for display real scalar types. ScalarMaps map ScalarTypes to DisplayRealType. A fixed set is defined by the system, users may add others.

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.RealType
`Altitude, Declination, Generic, INTERVAL, Latitude, Longitude, Radius, RightAscension, Time, TimeInterval, XAxis, YAxis, ZAxis`

Fields inherited from class visad.ScalarType
`Name`

Fields inherited from class visad.MathType
`SystemIntrinsic`

Constructor Summary
`(package private)` `DisplayRealType(String name, boolean single, boolean b)` trusted constructor for intrinsic text DisplayRealType
`(package private)` `DisplayRealType(String name, boolean single, double def, boolean b)` trusted constructor for intrinsic DisplayRealType's created by system without range or Unit
`(package private)` `DisplayRealType(String name, boolean single, double low, double hi, double def, boolean b)` trusted constructor for intrinsic DisplayRealType's created by system without Unit
`` `DisplayRealType(String name, boolean single, double low, double hi, double def, Unit unit)` construct a DisplayRealType
`(package private)` `DisplayRealType(String name, boolean single, double low, double hi, double def, Unit unit, boolean b)` trusted constructor for intrinsic DisplayRealType's created by system with Unit
`` `DisplayRealType(String name, boolean single, double def, Unit unit)` construct a DisplayRealType whose values are not scaled

Method Summary
`boolean` `getCircular()`
`static int` `getCount()`
`double` `getDefaultValue()`
`int` `getIndex()` get the index of this in DisplayRealTypeVector; insert this into the Vector if it isn't already
`boolean` `getRange(double[] range_values)` get the range of values is defined for this
`boolean` `getText()`
`DisplayTupleType` `getTuple()`
`int` `getTupleIndex()`
`boolean` `isSingle()`
`void` `setTuple(DisplayTupleType t, int i, boolean c)` Sets the DisplayTupleType to which this DisplayRealType will belong.

Methods inherited from class visad.RealType
`binary, buildShadowType, cloneDerivative, equals, equalsExceptName, equalsExceptNameButUnits, getAttributeMask, getDefaultSet, getDefaultUnit, getRealType, getRealType, getRealType, getRealType, getRealType, getRealType, getRealTypeByName, isInterval, main, missingData, prettyString, setDefaultSet, unary`

Methods inherited from class visad.ScalarType
`alias, compareTo, getAlias, getName, getNameWithBlanks, getOriginalName, getScalarTypeByName, hashCode, readResolve, validateName`

Methods inherited from class visad.MathType
`addTimeAlias, findScalarType, guessMaps, prettyString, stringToType, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DisplayRealType

    DisplayRealType(String name,
                    boolean single,
                    double def,
                    boolean b)

  trusted constructor for intrinsic DisplayRealType's created by system without range or Unit

Parameters:
  `name` - String name for this DisplayRealType
  `single` - if true, this may occur at most once at a terminal node in the ShadowType tree; see Appendix A of the Developer's Guide
  `def` - default value
  `b` - dummy argument indicating that this is a trusted constructor (does not throw VisADExceptions)

### DisplayRealType

    DisplayRealType(String name,
                    boolean single,
                    double low,
                    double hi,
                    double def,
                    boolean b)

  trusted constructor for intrinsic DisplayRealType's created by system without Unit

Parameters:
  `name` - String name for this DisplayRealType
  `single` - if true, this may occur at most once at a terminal node in the ShadowType tree; see Appendix A of the Developer's Guide
  `low` - start of range of values for scaling
  `hi` - end of range of values for scaling
  `def` - default value
  `b` - dummy argument indicating that this is a trusted constructor (does not throw VisADExceptions)

### DisplayRealType

    DisplayRealType(String name,
                    boolean single,
                    double low,
                    double hi,
                    double def,
                    Unit unit,
                    boolean b)

  trusted constructor for intrinsic DisplayRealType's created by system with Unit

Parameters:
  `name` - String name for this DisplayRealType
  `single` - if true, this may occur at most once at a terminal node in the ShadowType tree; see Appendix A of the Developer's Guide
  `low` - start of range of values for scaling
  `hi` - end of range of values for scaling
  `def` - default value
  `unit` - Unit for this DisplayRealType
  `b` - dummy argument indicating that this is a trusted constructor (does not throw VisADExceptions)

### DisplayRealType

    DisplayRealType(String name,
                    boolean single,
                    boolean b)

  trusted constructor for intrinsic text DisplayRealType

Parameters:
  `name` - String name for this DisplayRealType
  `single` - if true, this may occur at most once at a terminal node in the ShadowType tree; see Appendix A of the Developer's Guide
  `b` - dummy argument indicating that this is a trusted constructor (does not throw VisADExceptions)

### DisplayRealType

    public DisplayRealType(String name,
                           boolean single,
                           double low,
                           double hi,
                           double def,
                           Unit unit)
                    throws VisADException

  construct a DisplayRealType

Parameters:
  `name` - String name for this DisplayRealType
  `single` - if true, this may occur at most once at a terminal node in the ShadowType tree; see Appendix A of the Developer's Guide
  `low` - start of range of values for scaling
  `hi` - end of range of values for scaling
  `def` - default value
  `unit` - Unit for this DisplayRealType
Throws:
  `VisADException` - a VisAD error occurred

### DisplayRealType

    public DisplayRealType(String name,
                           boolean single,
                           double def,
                           Unit unit)
                    throws VisADException

  construct a DisplayRealType whose values are not scaled

Parameters:
  `name` - String name for this DisplayRealType
  `single` - if true, this may occur at most once at a terminal node in the ShadowType tree; see Appendix A of the Developer's Guide
  `def` - default value
  `unit` - Unit for this DisplayRealType
Throws:
  `VisADException` - a VisAD error occurred

Method Detail

### getIndex

    public int getIndex()

  get the index of this in DisplayRealTypeVector; insert this into the Vector if it isn't already

  Returns:
    the index of this in DisplayRealTypeVector

### getCount

    public static int getCount()

  Returns:
    the number of DisplayRealTypes in DisplayRealTypeVector

### getTuple

    public DisplayTupleType getTuple()

  Returns:
    the unique DisplayTupleType that this DisplayRealType is a component of, or return null if it is not a component of any DisplayTupleType

### getTupleIndex

    public int getTupleIndex()

  Returns:
    index of this as component of a DisplayTupleType (-1 if it isn't a component of any DisplayTupleType)

### setTuple

    public void setTuple(DisplayTupleType t,
                         int i,
                         boolean c)
                  throws VisADException

  Sets the DisplayTupleType to which this DisplayRealType will belong.

  Parameters:
    `t` - The DisplayTupleType of which this DisplayRealType will be a component.
    `i` - The 0-based index for this as a component of t.
    `c` - Flag indicating whether t has a CoordinateSystem whose toReference() is periodic in this with period 2*pi (or equivalent according to unit).
  Throws:
    `VisADException` - a VisAD error occurred.

### isSingle

    public boolean isSingle()

  Returns:
    flag indicating whether this is 'single'

### getDefaultValue

    public double getDefaultValue()

  Returns:
    default value for this DisplayRealType

### getRange

    public boolean getRange(double[] range_values)

  get the range of values is defined for this

  Parameters:
    `range_values` - double[2] array used to return low and hi values of the range (if this DisplayRealType has a range)
  Returns:
    flag indicating whether this has a range (i.e., is scaled)

### getText

    public boolean getText()

  Returns:
    flag indicating whether this DisplayRealType is really a text type

### getCircular

    public boolean getCircular()

  Returns:
    flag indicating whether this has a DisplayTupleType, which has a CoordinateSystem whose toReference() is periodic in this with period 2*pi (or equivalent according to unit)